Skip to main content
`Ctrl`+`K`

# DMPlexTransformExtrudeGetPeriodic

Get the flag to extrude periodically from the initial surface

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeGetPeriodic(DMPlexTransform tr, PetscBool *periodic)

Not Collective

## Input Parameter

- tr - The `DMPlexTransform`

## Output Parameter

- periodic - The flag to extrude periodically

## See Also

`DMPlexTransform`, `DMPlexTransformExtrudeSetPeriodic()`, `DMPlexTransformExtrudeGetSymmetric()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/impls/extrude/plextrextrude.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages